package didemo;

import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@ComponentScan
public class MainApp
{
   public static void main( String[] args )
   {
      ApplicationContext ctx = new AnnotationConfigApplicationContext( MainApp.class );
      MeineComponent meineInjizierteComponent = ctx.getBean( MeineComponent.class );
      meineInjizierteComponent.printInfo();
      meineInjizierteComponent.runInjizierteBean();
   }
}
