package didemo;

import javax.inject.Inject;
import javax.inject.Named;
import org.springframework.context.annotation.Bean;

@Named
public class MeineComponent
{
   @Inject
   private Runnable meineInjizierteBean;

   public void printInfo()
   {
      System.out.println( "---- Meine injizierte Component ----" );
   }

   public void runInjizierteBean()
   {
      meineInjizierteBean.run();
   }

   @Bean
   private Runnable meineBean()
   {
      return new Runnable() {
         public void run() {
            System.out.println( "---- Meine injizierte Bean ----" );
      } };
   }
}
