package didemo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

@Component
public class MeineComponent
{
   @Autowired
   private Runnable meineInjizierteBean;

   public void printInfo()
   {
      System.out.println( "---- Meine injizierte Component ----" );
   }

   public void runInjizierteBean()
   {
      meineInjizierteBean.run();
   }

   @Bean
   private Runnable meineBean()
   {
      return new Runnable() {
         public void run() {
            System.out.println( "---- Meine injizierte Bean ----" );
      } };
   }
}
