package scopedemo;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith( SpringJUnit4ClassRunner.class )
@ContextConfiguration( classes = MainApp.class )
public class MeineComponentTest
{
   @Autowired private MeineComponent compA;
   @Autowired private MeineComponent compB;

   @Test
   public void testScope()
   {
      compA.addText( "a" );
      compB.addText( "b" );
      compA.addText( "a" );
      compB.addText( "b" );
      System.out.println( compA.getText() );
      System.out.println( compB.getText() );
      Assert.assertEquals( "aa", compA.getText() );
      Assert.assertEquals( "bb", compB.getText() );
   }
}
