package mvcdemo;

import java.text.SimpleDateFormat;
import java.util.Date;

/** Einzelnes Datenelement */
public class MeineEntity
{
   private Long   id;
   private Date   date;
   private String text;

   public MeineEntity() {}

   public MeineEntity( Long id, Date date, String text ) {
      this.id   = id;
      this.date = date;
      this.text = text;
   }

   public Long   getId()   { return id;   }
   public Date   getDate() { return date; }
   public String getText() { return text; }
   public void setId(   Long   id   ) { this.id   = id;   }
   public void setDate( Date   date ) { this.date = date; }
   public void setText( String text ) { this.text = text; }

   public String getDatumZeit() {
      return ( date == null ) ? "null" : (new SimpleDateFormat( "yyyy-MM-dd HH:mm:ss" )).format( date );
   }

   @Override
   public String toString() {
      return "[id=" + id + ", datum=" + getDatumZeit() + ", text=" + text + "]";
   }
}
